<?php

namespace DhlPolskaVendor\Octolize\DhlPolska\API\WebApi\Struct\Services;

use DhlPolskaVendor\Octolize\DhlPolska\API\WebApi\Struct\Service;
/**
 * Insurance service structure for createShipment.
 */
class InsuranceService implements Service
{
    /** @var float */
    private float $service_value;
    /**
     * InsuranceService constructor.
     *
     * @param float $service_value
     */
    public function __construct(float $service_value)
    {
        $this->service_value = $service_value;
    }
    /**
     * @return string
     */
    public function get_service_type(): string
    {
        return 'UBEZP';
    }
    /**
     * @return array
     */
    public function jsonSerialize(): array
    {
        return ['serviceType' => $this->get_service_type(), 'serviceValue' => $this->service_value];
    }
}
